2010-10-26  Alexander Kurtakov  <akurtako@redhat.com>

	* Linux_Tools_Project/SpecfileEditor/User_Guide/Updating-This-Document.html: Properly regenerated.

2010-10-19  Alexander Kurtakov  <akurtako@redhat.com>
    Add legal page to hel
	* toc-doc.xml: New file.
	* build.properties: One more toc to ship.
	* plugin.xml: Likewise.
	
2010-10-19  Alexander Kurtakov  <akurtako@redhat.com>

	* build-helper.xml: Fix pageAppendum to point to the right wiki page.
	
2010-10-19  Alexander Kurtakov  <akurtako@redhat.com>

	* build.properties: Remove not needed src and output.

2010-10-18  Alexander Kurtakov  <akurtako@redhat.com>

	* build.properties: Add images and Linux_Tools_Project directories to binary builds.
	* src/org/eclipse/linuxtools/internal/rpm/ui/editor/doc/anttask/MediaWikiImageFetcher.java: Removed.
	* src/org/eclipse/linuxtools/internal/rpm/ui/editor/doc/anttask/tasks.properties: Removed.
	* userguide/Configuring-Specfile-Editor-Settings.html: Removed.
	* userguide/General-Usage.html: Removed.
	* userguide/images/Screenshot-edittemplate.png: Removed.
	* userguide/images/Screenshot-taskscreenshot.png: Removed.
	* userguide/images/Specfile_enable_rpmlint.png: Removed.
	* userguide/images/Specfile_generic.png: Removed.
	* userguide/images/Specfile_macros_content.png: Removed.
	* userguide/images/Specfile_macros_description.png: Removed.
	* userguide/images/Specfile_new_from_template.png: Removed.
	* userguide/images/Specfile_new_wizard.png: Removed.
	* userguide/images/Specfile_problems_rpmlint.png: Removed.
	* userguide/images/Specfile_rpmlint_fix_after.png: Removed.
	* userguide/images/Specfile_rpmlint_fix_before.png: Removed.
	* userguide/images/Specfile_rpmlint_quickfix.png: Removed.
	* userguide/images/Specfile_settings_changelog.png: Removed.
	* userguide/images/Specfile_settings_macros.png: Removed.
	* userguide/images/Specfile_settings_rpmlint.png: Removed.
	* userguide/images/Specfile_settings_rpms_details.png: Removed.
	* userguide/images/Specfile_settings_rpms_generic.png: Removed.
	* userguide/images/Specfile_settings_tasks.png: Removed.
	* userguide/images/Specfile_settings_templates.png: Removed.
	* userguide/Installing.html: Removed.
	* userguide/SpecfileEditorReference-toc.xml: Removed.
	* userguide/SpecfileEditorReference.html: Removed.
	* userguide/Updating-This-Document.html: Removed.
	* images/home.gif: New file.
	* images/next.gif: New file.
	* images/prev.gif: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/Configuring-Specfile-Editor-Settings.html: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/General-Usage.html: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Screenshot-edittemplate.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Screenshot-taskscreenshot.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_enable_rpmlint.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_export_dialog.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_export_error.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_export_menu.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_generic.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_import_select_srpm.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_import_srpm.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_macros_content.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_macros_description.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_new_from_template.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_new_wizard.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_problems_rpmlint.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_rpmlint_fix_after.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_rpmlint_fix_before.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_rpmlint_quickfix.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_changelog.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_macros.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_rpmlint.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_rpms_details.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_rpms_generic.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_tasks.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/images/Specfile_settings_templates.png: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/Import-src-rpm-and-export-rpm-and-src-rpm.html: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/Installing.html: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/Updating-This-Document.html: New file.
	* Linux_Tools_Project/SpecfileEditor/User_Guide/User-Guide.html: New file.
	* .classpath: Removed java nature.
	* .project: Likewise.
	* build-helper.xml: Simplify to use mediawiki-to-eclipse-help task.
	* plugin.xml: No need to add 2 different tocs.
	* toc.xml: Regenerated.

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Fix provider to be Eclipse not Eclipse.org.

2009-08-04  Alexander Kurtakov  <akurtako@redhat.com>
	Sync with wiki.
	* userguide/Customizing-Editor-Settings.html: Removed.
	* userguide/images/\ Specfile_enable_rpmlint.png: Removed.
	* userguide/images/\ Specfile_generic.png: Removed.
	* userguide/images/\ Specfile_macros_content.png: Removed.
	* userguide/images/\ Specfile_macros_description.png: Removed.
	* userguide/images/\ Specfile_new_from_template.png: Removed.
	* userguide/images/\ Specfile_new_wizard.png: Removed.
	* userguide/images/\ Specfile_problems_rpmlint.png: Removed.
	* userguide/images/\ Specfile_rpmlint_fix_after.png: Removed.
	* userguide/images/\ Specfile_rpmlint_fix_before.png: Removed.
	* userguide/images/\ Specfile_rpmlint_quickfix.png: Removed.
	* userguide/images/\ Specfile_settings_changelog.png: Removed.
	* userguide/images/\ Specfile_settings_macros.png: Removed.
	* userguide/images/\ Specfile_settings_rpmlint.png: Removed.
	* userguide/images/\ Specfile_settings_tasks.png: Removed.
	* userguide/images/\ Specfile_settings_templates.png: Removed.
	* userguide/images/\ Specfile_warnings_rpmlint.png: Removed.
	* userguide/Rpmlint.html: Removed.
	* userguide/Configuring-Specfile-Editor-Settings.html: New file.
	* userguide/General-Usage.html: New file.
	* userguide/images/Screenshot-edittemplate.png: New file.
	* userguide/images/Screenshot-taskscreenshot.png: New file.
	* userguide/images/Specfile_enable_rpmlint.png: New file.
	* userguide/images/Specfile_generic.png: New file.
	* userguide/images/Specfile_macros_content.png: New file.
	* userguide/images/Specfile_macros_description.png: New file.
	* userguide/images/Specfile_new_from_template.png: New file.
	* userguide/images/Specfile_new_wizard.png: New file.
	* userguide/images/Specfile_problems_rpmlint.png: New file.
	* userguide/images/Specfile_rpmlint_fix_after.png: New file.
	* userguide/images/Specfile_rpmlint_fix_before.png: New file.
	* userguide/images/Specfile_rpmlint_quickfix.png: New file.
	* userguide/images/Specfile_settings_changelog.png: New file.
	* userguide/images/Specfile_settings_macros.png: New file.
	* userguide/images/Specfile_settings_rpmlint.png: New file.
	* userguide/images/Specfile_settings_tasks.png: New file.
	* userguide/images/Specfile_settings_templates.png: New file.
	* userguide/Installing.html: New file.
	* userguide/images/Specfile_settings_rpms_details.png: Updated.
	* userguide/images/Specfile_settings_rpms_generic.png: Updated.
	* userguide/SpecfileEditorReference-toc.xml: Updated.
	* userguide/SpecfileEditorReference.html: Updated.
	* userguide/Updating-This-Document.html: Updated.

2009-07-17  Alexander Kurtakov  <akurtako@redhat.com>

	* build-helper.xml: Add copyright.
	* build.properties: Likewise.
	* META-INF/MANIFEST.MF: Add Bundle-Lokalization. 
	* plugin.properties: Add copyright.
	* plugin.xml: Likewise.
	* src/org/eclipse/linuxtools/internal/rpm/ui/editor/doc/anttask/tasks.properties: Likewise.
	* toc.xml: Likewise.

2009-05-26  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Don't require versioned org.apache.ant.

2009-05-26  Alexander Kurtakov  <akurtako@redhat.com>
	Move documentation to wiki.eclipse.org.
	* html/generic.html: Removed.
	* html/images/enable_rpmlint.png: Removed.
	* html/images/generic.png: Removed.
	* html/images/macros_long.png: Removed.
	* html/images/macros_short.png: Removed.
	* html/images/new_from_template.png: Removed.
	* html/images/problems_rpmlint.png: Removed.
	* html/images/rpmlint_fix_after.png: Removed.
	* html/images/rpmlint_fix_before.png: Removed.
	* html/images/rpmlint_quickfix.png: Removed.
	* html/images/settings_changelog.png: Removed.
	* html/images/settings_macros.png: Removed.
	* html/images/settings_rpmlint.png: Removed.
	* html/images/settings_rpms_details.png: Removed.
	* html/images/settings_rpms_generic.png: Removed.
	* html/images/settings_tasks.png: Removed.
	* html/images/settings_templates.png: Removed.
	* html/images/Unti.xcf: Removed.
	* html/images/warnings_rpmlint.png: Removed.
	* html/images/wizard.png: Removed.
	* html/macro_settings.html: Removed.
	* html/package_settings.html: Removed.
	* html/rpmlint.html: Removed.
	* html/settings.html: Removed.
	* html/support.html: Removed.
	* html/toc.html: Removed.
	* .classpath: New file.
	* about.html: New file.
	* build-helper.xml: New file.
	* doc/notices.html: New file.
	* extract-markup.xsl: New file.
	* plugin.properties: New file.
	* src/org/eclipse/linuxtools/internal/rpm/ui/editor/doc/anttask/MediaWikiImageFetcher.java: New file.
	* src/org/eclipse/linuxtools/internal/rpm/ui/editor/doc/anttask/tasks.properties: New file.
	* userguide/Customizing-Editor-Settings.html: New file.
	* userguide/images/\ Specfile_enable_rpmlint.png: New file.
	* userguide/images/\ Specfile_generic.png: New file.
	* userguide/images/\ Specfile_macros_content.png: New file.
	* userguide/images/\ Specfile_macros_description.png: New file.
	* userguide/images/\ Specfile_new_from_template.png: New file.
	* userguide/images/\ Specfile_new_wizard.png: New file.
	* userguide/images/\ Specfile_problems_rpmlint.png: New file.
	* userguide/images/\ Specfile_rpmlint_fix_after.png: New file.
	* userguide/images/\ Specfile_rpmlint_fix_before.png: New file.
	* userguide/images/\ Specfile_rpmlint_quickfix.png: New file.
	* userguide/images/\ Specfile_settings_changelog.png: New file.
	* userguide/images/\ Specfile_settings_macros.png: New file.
	* userguide/images/\ Specfile_settings_rpmlint.png: New file.
	* userguide/images/\ Specfile_settings_tasks.png: New file.
	* userguide/images/\ Specfile_settings_templates.png: New file.
	* userguide/images/\ Specfile_warnings_rpmlint.png: New file.
	* userguide/images/Specfile_settings_rpms_details.png: New file.
	* userguide/images/Specfile_settings_rpms_generic.png: New file.
	* userguide/Rpmlint.html: New file.
	* userguide/SpecfileEditorReference-toc.xml: New file.
	* userguide/SpecfileEditorReference.html: New file.
	* userguide/Updating-This-Document.html: New file.
	* .project: Make it java project.
	* build.properties: Add new files for distribution.
	* META-INF/MANIFEST.MF: Use plugin.properties for name and vendor, add new bundle requires.
	* plugin.xml: Add new TOC generated from wiki.
	* toc.xml: Reference the genertated TOC.

2009-05-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Bump release 0.4.3.

2009-04-15  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Fix Bundle-Name and Bundle-Vendor.

2009-01-26  Alexander Kurtakov  <akurtako@redhat.com>

	* html/images/settings_rpms_details.png: New file.
	* html/images/settings_rpms_generic.png: New file.
	* html/images/Unti.xcf: New file.
	* html/package_settings.html: Fill packages setting page.
	* html/images/macros_long.png: New file.
	* html/images/macros_short.png: New file.
	* html/images/settings_macros.png: New file.
	* html/macro_settings.html: Fill macro settings page.
	* html/images/settings_changelog.png: New file.
	* html/images/settings_rpmlint.png: New file.
	* html/images/settings_tasks.png: New file.
	* html/images/settings_templates.png: New file.
	* html/settings.html: Fill the settings documentation page.
	* html/support.html: Fill the support documentation page.
	* html/images/rpmlint_fix_after.png: New file.
	* html/images/rpmlint_fix_before.png: New file.
	* html/images/enable_rpmlint.png: New file.
	* html/images/problems_rpmlint.png: New file.
	* html/images/rpmlint_quickfix.png: New file.
	* html/images/warnings_rpmlint.png: New file.
	* html/rpmlint.html: Fill the documentation for rpmlint integration.

2009-01-24  Alexander Kurtakov  <akurtako@redhat.com>

	* html/images/new_from_template.png: New file.
	* html/images/generic.png: New file.
	* html/images/wizard.png: New file.
	* html/generic.html: Starting editing and creating a new specfile described.
	

2009-01-23  Alexander Kurtakov  <akurtako@redhat.com>

	* html/toc.html: TOC with basic intro created.

2009-01-16  Alexander Kurtakov  <akurtako@redhat.com>
	Stubs for the documentation.
	* .project: New file.
	* build.properties: New file.
	* html/generic.html: New file.
	* html/macro_settings.html: New file.
	* html/package_settings.html: New file.
	* html/rpmlint.html: New file.
	* html/settings.html: New file.
	* html/support.html: New file.
	* html/toc.html: New file.
	* META-INF/MANIFEST.MF: New file.
	* plugin.xml: New file.
	* toc.xml: New file.